0

I'm trying to install bcvi (under Cygwin), and there are apparently no directions that apply to this setup. The directions at http://sshmenu.sourceforge.net/articles/bcvi/#installation state that bcvi is a standalone script with no non-core dependencies, but when I copied that script from the github repo it gave me this error:

Can't locate Pod/Text.pm in @INC (@INC contains: /usr/lib/perl5/5.8.8/msys 
 usr/lib/perl5/5.8.8 /usr/lib/perl5/site_perl/5.8.8/msys /usr/lib/perl5/site_perl/5.8.8 
 /usr/lib/perl5/site_perl.) at /c/Users/bzisad0/bin/bcvi line 1315.
BEGIN failed--compilation aborted at /c/Users/bzisad0/bin/bcvi line 1315.

I'm not a Perl guy, but I understand that to suggest that there are unmet dependencies, and I'd rather not learn Perl and its ecosystem just to try to untangle this.

In case it's relevent, I first copied the script to the Linux server I intend to use it on, where I didn't get any such errors, but it seems to require you to run bcvi --install from your local machine, so I had to install it on my Windows machine (using the Git Bash shell, which AFAIK is just running Cygwin under the hood). perl --version returns

This is perl, v5.8.8 built for msys

Is it possible to get this working on Windows?

2

This doesn't have to do with POD, which is perls documentation format but perl modules, which are in fact like gems. I recommend trying this

curl -L http://cpanmin.us | perl - App::cpanminus
cpanm Pod::Text

There may be more dependenticies, so you may have to interpret them, simply replace the path / with :: and remove the .pm

note: some distributors of perl strip modules out of core perl.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.